/**
 * Adapt the node test interface to the shared testing interface
 */
// @ts-ignore The import exists, but tsc complains
import { describe, it } from 'node:test';
import AbstractTestBase from '../common/runtime/test_base.ts';

class TsxTestBase extends AbstractTestBase {
	public static testSuite(testObj: any): void {
		Object.keys(testObj).forEach((group) => {
			describe(group, () => {
				const groupObj = testObj[group];
				Object.keys(groupObj).forEach((testName) => {
					it(testName, groupObj[testName]);
				});
			});
		});
	}
}

export default TsxTestBase;
