/**
 * The main entrypoint when using Bun as the runtime
 */
import { CommonRuntime, IRuntime, RunTimeType } from '../common/runtime/mod.ts';

/**
 * The Bun Runtime implementation
 */
const BunRuntime: IRuntime = {
	...CommonRuntime,
	name: RunTimeType.Bun,
};

export default BunRuntime;
