export { Position } from './position.ts';
export type { ITestBase } from './runtime/test_base.ts';
export type {
	IFileIO,
	IRuntime,
	ITerminal,
	ITerminalSize,
	RunTimeType,
} from './runtime/mod.ts';

/**
 * Which direction to search in the current document
 */
export enum SearchDirection {
	Forward = 1,
	Backward = -1,
}
